{% extends "starbase.html" %}
{% load i18n %}
{% load crispy_forms_tags %}

{% block page_title %}
    Sign Up.
{% endblock %}
{% block content %}
    <div class="row">
        <div class="col-md-8 col-md-offset-0">

            <h3>{% blocktrans %}Signing up with{% endblocktrans %}
                {{ account.get_provider.name }}</h3>

            {% if account.get_provider.name == "Twitter" or not user.email %}
                <p>{% blocktrans with provider_name=account.get_provider.name site_name=site.name %}You are about to use
                    your {{ provider_name }} account
                    to login to
                    {{ site_name }}. As a final step, please complete the following form:{% endblocktrans %}</p>

                <form class="signup" id="signup_form" method="post" action="{% url 'socialaccount_signup' %}">
                    {% csrf_token %}
                    {{ form|crispy }}
                    {% if redirect_field_value %}
                        <input type="hidden" name="{{ redirect_field_name }}" value="{{ redirect_field_value }}"/>
                    {% endif %}
                    <button type="submit">{% trans "Sign Up" %} &raquo;</button>
                <span class="btn btn-default pull-right"><a class="button secondaryAction"
                                                            href="{% url 'account_reset_password' %}">{% trans "Forgot Password?" %}</a></span>
                </form>

            {% else %}

                <div class="alert alert-warning">
                    <p>

                        <i class="fa fa-exclamation-circle fa-1x"></i>{% blocktrans %} It seems that there is already an account with the email sent by {{ account.get_provider.name }}.{% endblocktrans %}
                    </p>
                    <p>
                        {% blocktrans %}
                        We can't fully trust this information as some providers do not verify the emails that
                        they send.
                        {% endblocktrans %}
                    </p>
                    <p>
                        {% blocktrans %}
                        Your mission, should you choose to accept it:
                        {% endblocktrans %}
                    </p>
                    <p>
                        {% blocktrans %}
                        <ol>
                            <li>Reset your password below.</li>
                            <li>Log into the site with the new password.</li>
                            <li>Connect your social account from your user account page.</li>
                        </ol>
                        {% endblocktrans %}
                    </p>

                    <p>
                        {% blocktrans %}
                        Once the accounts have been connected the login will work on all devices.
                        {% endblocktrans %}
                    </p>

                    <form method="POST" action="{% url 'account_reset_password' %}">
                        {% csrf_token %}
                        {{ form|crispy }}
                        <input type="submit" name="action" value="{% trans "Reset password" %}"/>
                    </form>
                </div>

            {% endif %}

        </div>
    </div>
{% endblock %}